Name: bk
Version: 20041117
Release: alt1

Summary: BK0010 and BK0011M Emulator
Summary (ru_RU.UTF-8): Эмулятор БК0010 и БК0011М
License: BSD
Group: Emulators
URL: http://www.mailcom.com/bk0010
#URL: http://sourceforge.net/projects/bk-terak-emu
Source0: bk.tar.bz2
Source1: bk.png
Source2: bk.sh
Source3: User.txt
Source4: System.txt
BuildRequires: esound libSDL-devel netpbm xorg-x11-devel
BuildRequires: gcc >= 3.2

%description
BK0010 and BK0011M Emulator by Leonid Broukhis

%description -l ru_RU.UTF-8
Эмулятор БК0010 и БК0011М. Написан Леонидом Брухисом. 

%prep
%setup -q -n bk
%__cat %SOURCE3 > User.txt
%__cat %SOURCE4 > System.txt

%build
%make

%install
install -m755 -D bk $RPM_BUILD_ROOT%_bindir/bk.bin
install -m755 -D maketape $RPM_BUILD_ROOT%_bindir/maketape
install -m755 -D readtape $RPM_BUILD_ROOT%_bindir/readtape
install -m755 -d $RPM_BUILD_ROOT%_datadir/bk
install -m644 Rom/*.ROM $RPM_BUILD_ROOT%_datadir/bk
install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_datadir/pixmaps/bk.png
install -m755 -D %SOURCE2 $RPM_BUILD_ROOT%_bindir/bk
install -m644 -D po/messages.mo $RPM_BUILD_ROOT%_datadir/locale/ru/LC_MESSAGES/%name.mo

%find_lang %name

# menu
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ >%buildroot%_menudir/%name
?package(%name):command="%_bindir/bk -0"icon="bk.png" title="BK0010 Focal" \
longtitle="BK0010 Emulator (FOCAL)" needs="text" section="Emulators"
?package(%name):command="%_bindir/bk -1"icon="bk.png" title="BK0010-01 Basic" \
longtitle="BK0010-01 Emulator (BASIC)" needs="text" section="Emulators"
?package(%name):command="%_bindir/bk -2"icon="bk.png" title="BK0010-01 Floppy" \
longtitle="BK0010-01 Emulator (Floppy)" needs="text" section="Emulators"
?package(%name):command="%_bindir/bk -3 -v"icon="bk.png" title="BK0011M Covox" \
longtitle="BK0011M Emulator (Covox)" needs="text" section="Emulators"
?package(%name):command="%_bindir/bk -3 -y"icon="bk.png" title="BK0011M AY" \
longtitle="BK0011M Emulator (AY)" needs="text" section="Emulators"
__MENU__

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/bk
%_datadir/pixmaps/bk.png
%_menudir/%name
%doc README* System.txt User.txt

%changelog
* Wed Nov 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 20041117-alt1
- 2004.11.17

* Sat Aug 23 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.1-0
- ALTLInux build
